# Uses of Class
org.eclipse.net4j.util.ui.chat.ChatRenderer.Renderable

Packages that use ChatRenderer.Renderable
Package
Description
org.eclipse.net4j.util.ui.chat

## Uses of ChatRenderer.Renderable in org.eclipse.net4j.util.ui.chat

Subclasses of ChatRenderer.Renderable in org.eclipse.net4j.util.ui.chat
Modifier and Type
Class
Description
`static final class`
`ChatRenderer.Bubble`
`static final class`
`ChatRenderer.BubbleGroup`
`static final class`
`ChatRenderer.DateLine`
Method parameters in org.eclipse.net4j.util.ui.chat with type arguments of type ChatRenderer.Renderable
Modifier and Type
Method
Description
`void`
ChatRenderer.`renderHTML(Iterable<ChatRenderer.Renderable> renderables, StringBuilder html, Map<String,Object> properties)`
`String`
ChatRenderer.`renderHTML(Iterable<ChatRenderer.Renderable> renderables, Map<String,Object> properties)`